Subject: SeleniumTestCase does not run
Description

When installing PHPUnit as described in http://www.phpunit.de/manual/current/en/installation.html the SeleniumTestCase will not run
even when there is a Selenium RC server running as suggested in http://www.phpunit.de/manual/current/en/selenium.html

Execution stops with the error

PHP Fatal error:  Class 'PHPUnit_Extensions_SeleniumTestCase' not found in
/home/umr_test/FLOW3-1.0.0-alpha13-build43/Packages/Framework/Testing/Classes/SeleniumTestCase.php on line 33

This relates to http://forge.typo3.org/issues/10747 . However, the links provided there do not address this problem.

History
#1 - 2010-11-17 10:47 - Karsten Dambekalns
- Status changed from New to Needs Feedback

Is the Selenium extension installed (should look simlar to the following)?
karsten@kmac:~ $ pear list -c phpunit
Installed packages, channel pear.phpunit.de:
============================================
Package            Version State
DbUnit             1.0.0   stable
File_Iterator      1.2.3   stable
PHPUnit            3.5.3   stable
PHPUnit_MockObject 1.0.1   stable
PHPUnit_Selenium   1.0.0   stable
PHP_CodeCoverage   1.0.0   stable
PHP_Timer          1.0.0   stable
PHP_TokenStream    1.0.0   stable
Text_Template      1.0.0   stable
phpcpd             1.3.2   stable

If yes, do you have that file ([pear base]/PHPUnit/Extensions/SeleniumTestCase.php)?

If you had PHPUnit installed before and upgraded, it may be dumb enough to uninstall parts of itself during upgrade. If unsure, first uninstall and then
again install PHPUnit.

#2 - 2010-11-17 11:59 - Christian Lerrahn

Selenium is installed. My list looks as follows.
Installed packages, channel pear.phpunit.de:
http://forge.typo3.org/issues/10747


============================================
Package            Version State
DbUnit             1.0.0   stable
File_Iterator      1.2.3   stable
PHPUnit            3.5.3   stable
PHPUnit_MockObject 1.0.2   stable
PHPUnit_Selenium   1.0.0   stable
PHP_CodeCoverage   1.0.2   stable
PHP_Timer          1.0.0   stable
PHP_TokenStream    1.0.1   stable
Text_Template      1.0.0   stable

I also uninstalled and reinstalled PHPUnit and all its extensions to no avail.

#3 - 2010-11-17 12:50 - Karsten Dambekalns

Running the unit tests works?

#4 - 2010-11-17 12:51 - Karsten Dambekalns
- Project changed from PHPUnit to Testing
- Category deleted (PHPUnit)

#5 - 2010-11-22 06:22 - Christian Lerrahn

I pulled the latest git version and that seems to have fixed the problem.

The unit tests also run now but I did not try before I updated my repository,
so don't know if they would have on the old version.

#6 - 2010-11-22 09:28 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- Target version set to 1.0 alpha 14

#7 - 2011-05-06 11:25 - Karsten Dambekalns
- Target version deleted (1.0 alpha 14)
